# Class CIM_SnapshotOfExtent
extends CIM_Dependency

Deprecated. Snapshots are now modeled in a more abstract way using StorageExtent and CIM_StorageSynchronized. SnapshotOfExtent is an association between an Extent and its Snapshot. This relationship is made explicit in this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SnapshotOfExtent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | Deprecated. Snapshots are now modeled in a more abstract way using StorageExtent and CIM_StorageSynchronized. SnapshotOfExtent is an association between an Extent and its Snapshot. This relationship is made explicit in this association.
UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SnapshotType | uint16 |
Deprecated | string | CIM_StorageSynchronized.CopyType
Description | string | The type of snapshot.
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Other, Unknown, Copy, Before Delta, After Delta

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SnapshotOfExtent | CIM_StorageExtent
Dependent | CIM_SnapshotOfExtent | CIM_Snapshot

## Class Methods